/*
 * The Hefei JingTong RDC(Research and Development Centre) Group.
 * __________________
 *
 *    Copyright 2015-2021
 *    All Rights Reserved.
 *
 *    NOTICE:  All information contained herein is, and remains
 *    the property of JingTong Company and its suppliers,
 *    if any.
 */

package com.jingtong.bpm.logic.dto;

import com.jingtong.bpm.facde.dto.DatasourceDTO;
import com.jingtong.bpm.infra.entity.DatasourceComboEntity;
import com.jingtong.bpm.infra.entity.DatasourcePopoverEntity;
import com.jingtong.bpm.infra.entity.ToaDatasourceEntity;
import com.jingtong.util.bean.BeanUtil;

import java.io.Serializable;
import java.util.List;
import java.util.Objects;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p> </p>
 *
 * @author BOGON
 * @version 1.0
 * @since JDK 1.8
 */
@Data
@ApiModel("数据源表单传输数据")
public class DataSourceFormDTO implements Serializable {

    private static final long serialVersionUID = 5414919823402513174L;

    @ApiModelProperty("数据源")
    private DatasourceDTO dataSource;

    @ApiModelProperty("数据源字段")
    private List<DatasourceFiledDTO> fileds;

    @ApiModelProperty("数据源条件")
    private List<DatasourceConditionDTO> conditions;

    @ApiModelProperty("数据源下拉")
    private DatasourceComboDTO combo;

    @ApiModelProperty("数据源弹框")
    private DatasourcePopoverDTO popover;

    public static DataSourceFormDTO convertToDTO(ToaDatasourceEntity datasourceEntity,
                                                 DatasourcePopoverEntity datasourcePopoverEntity,
                                                 DatasourceComboEntity datasourceComboEntity) {
        DataSourceFormDTO dataSourceFormDTO = new DataSourceFormDTO();
        if (!Objects.isNull(datasourceEntity)) {
            dataSourceFormDTO.setDataSource(BeanUtil.sourceToTarget(datasourceEntity, DatasourceDTO.class));
        }
        if (!Objects.isNull(datasourceEntity)) {
            dataSourceFormDTO.setPopover(BeanUtil.sourceToTarget(datasourcePopoverEntity, DatasourcePopoverDTO.class));
        }
        if (!Objects.isNull(datasourceComboEntity)) {
            dataSourceFormDTO.setCombo(BeanUtil.sourceToTarget(datasourceComboEntity, DatasourceComboDTO.class));
        }
        return dataSourceFormDTO;
    }
}
