/*
 * Copyright (c)2012-2017 JingTong RDC(Research and Development Centre), Inc. All rights reserved.
 *
 * NOTICE: All information contained herein is, and remains the property of JingTong RDC ,
 *         if any. The intellectual and technical concepts contained herein are proprietary
 *         to JingTong RDC and covered by China and Foreign Patents, patents in process,
 *         and are protected by trade secret or copyright law. Dissemination of this information
 *         or reproduction of this material is strictly forbidden unless prior written permission
 *         is obtained from JingTong RDC.
 */

package com.jingtong.bpm.logic.exception;


import com.jingtong.bpm.logic.constant.StringPool;
import com.jingtong.data.exception.RbException;
import com.jingtong.util.error.ErrorCode;

/**
 * <p> </p>
 *
 * @author sog
 * @version 1.0
 * @since JDK 1.7
 */
public class ListenerNotFoundException extends RbException {
    private static final long serialVersionUID = -1088714824023702178L;

    public ListenerNotFoundException(ErrorCode errorCode) {
        super(StringPool.EMPTY, errorCode);
    }

    public ListenerNotFoundException(ErrorCode errorCode, Throwable cause) {
        super(StringPool.EMPTY, errorCode, cause);
    }

    public ListenerNotFoundException(String message, ErrorCode errorCode) {
        super(message, errorCode);
    }

    public ListenerNotFoundException(String message, Throwable cause, ErrorCode errorCode) {
        super(message, errorCode, cause);
    }
}
